<template>
  <div>
    <div class="slides-section-item">
      <div class="slide-padded">
        <div class="slide-cat text--primary">
          <img
            class="slide-cat-icon"
            :src="require('@/assets/images/black-star.svg')"
          />
          {{ item.category }}
        </div>

        <AppTitle class="text--primary slide-title" :title="item.title" />
      </div>
      <div class="img-ctn" :style="`background-image:url('${image}')`"></div>
      <div class="slide-padded">
        <a
          :href="item.url"
          @click.prevent="
            $emit('click-slide', {
              label: `${item.category}_${item.title}`,
              url: item.url,
              item
            })
          "
        >
          <AppButton :theme="btnTheme">{{ item.btnText }}</AppButton>
        </a>
      </div>
    </div>
  </div>
</template>

<script>
import AppButton from '@/components/ui/AppButton'
import AppTitle from '@/components/ui/AppTitle'

export default {
  components: {
    AppButton,
    AppTitle
  },
  props: {
    item: {
      type: Object,
      required: true
    }
  },
  computed: {
    image() {
      return `${this.$config.izneoUrl}/${this.$i18n.locale}/images/${this.item.modelName}/${this.item.id}.jpg`
    },
    btnTheme() {
      return this.$utils.aboArea() ? 'secondary' : ''
    }
  }
}
</script>

<style lang="scss" scoped>
.slides-section-item {
  color: #fff;

  .slide-padded {
    padding: 0 0.5rem;

    .slide-title {
      font-size: 40px;
    }
  }

  .slide-cat {
    margin: 1rem 0;
    text-transform: uppercase;
    font-family: DINCond-Bold;
    font-size: 14px;

    .slide-cat-icon {
      display: inline-block;
      margin-right: 0.2rem;
      height: 13px;
    }
  }

  .img-ctn {
    object-fit: contain;
    height: 320px;
    width: 100%;
    margin-bottom: 0.75rem;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
  }
}
</style>
